<template>
  <div>
    <el-tabs v-model="activeName">
      <el-tab-pane
        v-for="i in dataManageListType"
        :key="i.id"
        :label="i.value"
        :name="i.id"
      />
    </el-tabs>
  </div>
</template>

<script>
import databaseMixin from '../mixins/index'

export default {
  mixins: [databaseMixin],
  data() {
    return {
      activeName: '1'
    }
  },
  watch: {
    activeName: {
      handler(val) {
        if (val) {
          this.$emit('change', val)
        }
      },
      immediate: true
    }
  },
  methods: {
  }
}
</script>

<style lang="scss" scoped>
::v-deep .el-tabs__nav-wrap::after {
  background: none;
}
</style>
